#include <stdio.h>

#define MM 2147483647
#define AA 48271
#define QQ 44488
#define RR 3399
#define SEEDS 2

main(int argc, char *argv[])
{
  long x,i,times;

  if(argc <= 1)
    printf("Please specify how may random numbers you want!\n");
  else{
    sscanf(argv[1],"%ld",&times);
    x=28737563;

    for(i=0;i<SEEDS*times;++i){
      x=AA*(x%QQ)-RR*(long)(x/QQ);
      if(x<0) x+=MM;
      printf("%d\n",x);
    }
  }
}
